public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tox/
Date: Thu, 17 Aug 2023 08:36:16 +0000 (UTC)	[thread overview]
Message-ID: <1692261367.dfd26f75ea0b24bc1d288408bc8281ac928e259d.mgorny@gentoo> (raw)

commit:     dfd26f75ea0b24bc1d288408bc8281ac928e259d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 17 07:58:34 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 17 08:36:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfd26f75

dev-python/tox: Bump to 4.9.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tox/Manifest         |  1 +
 dev-python/tox/tox-4.9.0.ebuild | 84 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 74742b83c3a4..9f1669b2786c 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -8,3 +8,4 @@ DIST tox-4.6.3.tar.gz 172585 BLAKE2B 14d895a516fdb1b767c922633185b31904149e7fea9
 DIST tox-4.6.4.tar.gz 172650 BLAKE2B 84164dbb02002d398e779b0c5e4617213fbfc711ded95faddde93711549eab9e69675f0a459ce60ba8357baf4e7d361f86b4cb85818972e5d018a61db179ba1a SHA512 b6a4673ea58e21b5e8b3d1330244d46ac7a36563a089b2e03cfcd7039386ab6afc437ebf4c516bbe373133a7beb54ebb380d39ab126be69f3601226f2273f3c2
 DIST tox-4.7.0.tar.gz 172893 BLAKE2B 9611cbff7937e859ad923d40978804eede6eb372868c7af85597644a3568e775627361faa64587aa44c9e1e3bcf565fb4c6956d73fe973c258c90f005f5e5b14 SHA512 17c010af1dd402dd1dff86dca9154be16212bdbdafa4d83f6337e5c4ebd6f7256b7cf813ac8bb22d755873c89179caeecbaeed05c7e6dd6903251c3548fa8042
 DIST tox-4.8.0.tar.gz 173370 BLAKE2B 85dafc76b2dd6fb012112020c12e570904bc7d587ebaded729cabf752e14f1f04ed4f7672e52012f5abaff9a68480a2710483b0f5e0a16fbde64f009c30f0df4 SHA512 e7d4b33df31574fb5b35100e79a9a620a967aa8c4a2add474a21fffa52129429cb54485aaddb44957d75b9875afc332f69afdf8c0c598096572e2c8f83756154
+DIST tox-4.9.0.tar.gz 173479 BLAKE2B 00fc440bbcafa6e0d521ce745af0fa7b9a33196fec4f29f2dcad10079d494e3703fa06558ceb26762162687f71f7c77b386f64bdff6b4ac0a78706d2b7fd0743 SHA512 62f0cdb4d425d935315babf90ab331fb772352e68b6c67cf96f1d13007245427e67968a08073cc07a4adf850a991bbbcbff742567808ca22bc231acc1e3692e2

diff --git a/dev-python/tox/tox-4.9.0.ebuild b/dev-python/tox/tox-4.9.0.ebuild
new file mode 100644
index 000000000000..4a3b369c1b46
--- /dev/null
+++ b/dev-python/tox/tox-4.9.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+	https://tox.readthedocs.io/
+	https://github.com/tox-dev/tox/
+	https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/cachetools-5.3.1[${PYTHON_USEDEP}]
+	>=dev-python/chardet-5.2[${PYTHON_USEDEP}]
+	>=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+	>=dev-python/filelock-3.12.2[${PYTHON_USEDEP}]
+	>=dev-python/packaging-23.1[${PYTHON_USEDEP}]
+	>=dev-python/platformdirs-3.10[${PYTHON_USEDEP}]
+	>=dev-python/pluggy-1.2[${PYTHON_USEDEP}]
+	>=dev-python/pyproject-api-1.5.3[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		>=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+	' 3.{9..10})
+	>=dev-python/virtualenv-20.24.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	>=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+	test? (
+		>=dev-python/build-0.10[${PYTHON_USEDEP}]
+		>=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+		>=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+		>=dev-python/psutil-5.9.5[${PYTHON_USEDEP}]
+		>=dev-python/pytest-mock-3.11.1[${PYTHON_USEDEP}]
+		>=dev-python/pytest-xdist-3.3.1[${PYTHON_USEDEP}]
+		>=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '
+			>=dev-python/time-machine-2.10[${PYTHON_USEDEP}]
+		' 'python*')
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	# devpi_process is not packaged, and has lots of dependencies
+	cat > "${T}"/devpi_process.py <<-EOF || die
+		def IndexServer(*args, **kwargs): raise NotImplementedError()
+	EOF
+
+	local -x PYTHONPATH=${T}:${PYTHONPATH}
+	local EPYTEST_DESELECT=(
+		# Internet
+		tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+	)
+	local EPYTEST_IGNORE=(
+		# requires devpi*
+		tests/test_provision.py
+	)
+
+	[[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+		'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit-True-True]'
+		'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements-True-True]'
+		'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[constraints-True-True]'
+		'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit+requirements-True-True]'
+		'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_indirect-True-True]'
+		'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_constraints_indirect-True-True]'
+	)
+
+	epytest
+
+	# tox leaves a *humonogous* tempdir which easily leads to ENOSPC
+	# when running in parallel with other packages
+	rm -r "${T}"/pytest* || die
+}


             reply	other threads:[~2023-08-17  8:36 UTC|newest]

Thread overview: 319+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-17  8:36 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-09 10:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/tox/ Michał Górny
2024-11-09 10:08 Arthur Zamarin
2024-11-02  8:59 Michał Górny
2024-11-02  8:48 Michał Górny
2024-10-23  6:16 Michał Górny
2024-10-19  8:42 Michał Górny
2024-10-19  8:07 Arthur Zamarin
2024-10-17 17:03 Michał Górny
2024-10-16  4:54 Michał Górny
2024-10-05  7:43 Michał Górny
2024-10-05  7:39 Michał Górny
2024-10-04  3:12 Michał Górny
2024-10-02 11:22 Michał Górny
2024-09-28 12:04 Michał Górny
2024-09-28 11:32 Arthur Zamarin
2024-09-20  5:12 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-08  2:33 Michał Górny
2024-08-31  9:44 Michał Górny
2024-08-31  8:52 Arthur Zamarin
2024-08-24  8:10 Sam James
2024-08-14  6:05 Michał Górny
2024-08-08  3:08 Michał Górny
2024-08-06  4:45 Michał Górny
2024-07-21  2:47 Michał Górny
2024-07-20 22:34 Sam James
2024-07-04  5:13 Michał Górny
2024-05-18 10:15 Michał Górny
2024-05-11  8:13 Michał Górny
2024-05-11  7:12 Arthur Zamarin
2024-04-27  3:46 Michał Górny
2024-04-06 12:37 Michał Górny
2024-04-06 10:02 Arthur Zamarin
2024-03-23  6:41 Michał Górny
2024-03-22  4:38 Michał Górny
2024-03-21 17:54 Arthur Zamarin
2024-03-07  4:48 Michał Górny
2024-03-06  7:06 Michał Górny
2024-03-02 11:44 Michał Górny
2024-03-02 10:35 Arthur Zamarin
2024-02-17  5:38 Michał Górny
2024-02-10 10:56 Sam James
2024-02-10 10:30 Michał Górny
2024-02-10  3:24 Sam James
2024-02-03  9:17 Michał Górny
2024-02-03  8:25 Arthur Zamarin
2024-01-17  7:41 Michał Górny
2024-01-12  4:57 Michał Górny
2024-01-05 20:19 Michał Górny
2023-12-15 12:40 Michał Górny
2023-12-15 11:45 Arthur Zamarin
2023-11-28  5:26 Michał Górny
2023-11-04 18:03 Michał Górny
2023-09-26 12:31 Michał Górny
2023-09-26  5:09 Arthur Zamarin
2023-09-09  3:22 Michał Górny
2023-09-08  5:36 Michał Górny
2023-09-02  2:58 Michał Górny
2023-08-30  3:01 Michał Górny
2023-08-22  4:12 Michał Górny
2023-08-22  4:12 Michał Górny
2023-08-14  6:26 Michał Górny
2023-08-08 20:06 Michał Górny
2023-08-05 11:38 WANG Xuerui
2023-07-07  3:15 Michał Górny
2023-06-20  5:38 Michał Górny
2023-06-17 10:30 Yixun Lan
2023-06-17  8:44 Arthur Zamarin
2023-06-17  8:44 Arthur Zamarin
2023-06-17  8:44 Arthur Zamarin
2023-06-17  8:44 Arthur Zamarin
2023-06-17  8:44 Arthur Zamarin
2023-06-17  8:44 Arthur Zamarin
2023-06-17  8:44 Arthur Zamarin
2023-06-17  7:43 Arthur Zamarin
2023-06-17  7:43 Arthur Zamarin
2023-06-17  5:59 Michał Górny
2023-06-16  3:34 Michał Górny
2023-06-06  5:43 Michał Górny
2023-05-28  2:50 Michał Górny
2023-05-24  8:19 Michał Górny
2023-05-24  6:11 Sam James
2023-04-28 14:30 Arthur Zamarin
2023-04-28 14:29 Arthur Zamarin
2023-04-28  7:50 Sam James
2023-04-28  7:25 Arthur Zamarin
2023-04-28  7:25 Sam James
2023-04-28  7:19 Arthur Zamarin
2023-04-28  7:19 Arthur Zamarin
2023-04-28  7:19 Arthur Zamarin
2023-04-28  7:15 Arthur Zamarin
2023-04-27  3:10 Michał Górny
2023-04-25  2:02 Michał Górny
2023-04-16  3:39 Sam James
2023-04-14  3:59 Michał Górny
2023-04-06  3:07 Michał Górny
2023-03-27  3:49 Michał Górny
2023-03-13  5:12 Michał Górny
2023-03-05 11:05 Michał Górny
2023-03-05  7:39 Arthur Zamarin
2023-03-04 17:31 Arthur Zamarin
2023-03-04 17:31 Arthur Zamarin
2023-03-04  6:08 Arthur Zamarin
2023-03-04  5:29 Arthur Zamarin
2023-03-03 18:22 Arthur Zamarin
2023-03-03 17:51 Arthur Zamarin
2023-03-03 17:50 Arthur Zamarin
2023-02-22  5:09 Michał Górny
2023-02-08  6:27 Michał Górny
2023-02-08  6:27 Michał Górny
2023-02-01  6:57 Arthur Zamarin
2023-02-01  6:49 Arthur Zamarin
2023-02-01  6:49 Arthur Zamarin
2023-02-01  6:49 Arthur Zamarin
2023-02-01  6:43 Arthur Zamarin
2023-02-01  6:43 Arthur Zamarin
2023-02-01  6:43 Arthur Zamarin
2023-02-01  4:57 Michał Górny
2023-01-31  7:09 Michał Górny
2023-01-31  7:09 Michał Górny
2023-01-26  7:11 Michał Górny
2023-01-26  7:11 Michał Górny
2023-01-21  7:04 Arthur Zamarin
2023-01-21  7:01 Arthur Zamarin
2023-01-19  6:08 Michał Górny
2023-01-19  6:08 Michał Górny
2023-01-18  7:34 Michał Górny
2023-01-17  5:08 Michał Górny
2023-01-17  5:08 Michał Górny
2023-01-16  6:11 Michał Górny
2023-01-13 12:37 Arthur Zamarin
2023-01-12  6:14 Michał Górny
2023-01-11 20:34 Michał Górny
2023-01-11 20:34 Michał Górny
2023-01-07  4:54 Michał Górny
2023-01-06  5:35 Michał Górny
2023-01-06  5:35 Michał Górny
2023-01-05  7:42 Michał Górny
2023-01-04 14:15 Michał Górny
2023-01-04  5:14 Yixun Lan
2023-01-03  6:23 Michał Górny
2023-01-03  6:23 Michał Górny
2022-12-31  7:18 Michał Górny
2022-12-30  7:08 Michał Górny
2022-12-30  7:08 Michał Górny
2022-12-28 19:11 Arthur Zamarin
2022-12-27  8:36 Michał Górny
2022-12-26  7:52 Sam James
2022-12-26  7:10 Michał Górny
2022-12-26  7:10 Michał Górny
2022-12-21  7:51 Michał Górny
2022-12-20  8:07 Michał Górny
2022-12-19  6:46 Michał Górny
2022-12-18  7:27 Michał Górny
2022-12-18  7:27 Michał Górny
2022-12-17 12:34 Michał Górny
2022-12-16 19:00 Arthur Zamarin
2022-12-16 11:32 Michał Górny
2022-12-13 19:53 Arthur Zamarin
2022-12-12 15:33 Michał Górny
2022-12-10  6:52 Michał Górny
2022-12-10  6:52 Michał Górny
2022-12-09  5:05 Michał Górny
2022-12-07 15:59 Michał Górny
2022-12-06 20:07 Michał Górny
2022-12-01 14:20 Michał Górny
2022-12-01  7:09 Michał Górny
2022-11-25 13:52 Michał Górny
2022-11-25 13:44 Arthur Zamarin
2022-11-15  7:27 Michał Górny
2022-10-26  3:26 Michał Górny
2022-10-10 20:18 Michał Górny
2022-10-10 18:21 Arthur Zamarin
2022-08-02 19:05 Michał Górny
2022-08-02 18:30 Arthur Zamarin
2022-06-30  4:27 Michał Górny
2022-05-15 10:41 Michał Górny
2022-04-11 16:07 Michał Górny
2022-03-12 10:59 Arthur Zamarin
2022-01-29  7:23 Michał Górny
2022-01-29  6:58 Arthur Zamarin
2021-12-29  6:10 Arthur Zamarin
2021-11-09 14:01 Michał Górny
2021-10-24  5:13 Arthur Zamarin
2021-10-24  2:35 Sam James
2021-09-18 19:43 Michał Górny
2021-09-18 17:18 Sam James
2021-09-17  8:31 Michał Górny
2021-08-22  8:01 Michał Górny
2021-08-19  7:34 Michał Górny
2021-08-16  6:19 Michał Górny
2021-08-16  5:13 Agostino Sarubbo
2021-08-11 20:14 Sam James
2021-08-01 12:25 Michał Górny
2021-07-14 22:16 Michał Górny
2021-06-22 17:01 Marek Szuba
2021-06-05 20:55 Michał Górny
2021-06-01 22:22 Michał Górny
2021-05-25  1:28 Joshua Kinard
2021-05-06  8:21 Michał Górny
2021-04-05 18:00 Michał Górny
2021-03-19 21:39 Michał Górny
2021-03-19 20:14 Sam James
2021-03-07 22:39 Michał Górny
2021-03-07 19:43 Sam James
2021-03-04  8:57 Michał Górny
2021-02-19  8:57 Michał Górny
2021-02-19  2:54 Sam James
2021-02-16 17:08 Michał Górny
2021-02-02 23:01 Michał Górny
2021-01-29  9:00 Michał Górny
2021-01-20  9:27 Michał Górny
2021-01-13 11:54 Michał Górny
2021-01-09  8:13 Michał Górny
2020-12-26  8:26 Michał Górny
2020-12-26  2:20 Sam James
2020-11-24  0:05 Louis Sautier
2020-11-15  7:54 Michał Górny
2020-11-15  5:19 Sam James
2020-11-02 10:34 Michał Górny
2020-10-10  5:54 Michał Górny
2020-10-09 10:52 Louis Sautier
2020-09-18 15:53 Michał Górny
2020-09-09  0:09 Sam James
2020-09-02  6:41 Michał Górny
2020-08-19  1:03 Sam James
2020-08-07 18:04 Sam James
2020-08-07  4:53 Michał Górny
2020-08-07  4:53 Michał Górny
2020-07-28 12:48 Michał Górny
2020-07-24 14:31 Michał Górny
2020-07-18 13:31 Sam James
2020-07-17  5:56 Michał Górny
2020-07-15  5:04 Michał Górny
2020-07-11 22:28 Sam James
2020-07-05 13:17 Michał Górny
2020-07-05  8:52 Sergei Trofimovich
2020-07-05  8:47 Sergei Trofimovich
2020-07-04 12:36 Mart Raudsepp
2020-07-03 18:24 Sergei Trofimovich
2020-07-01 13:47 Michał Górny
2020-06-28 12:00 Michał Górny
2020-06-21 20:31 Thomas Deutschmann
2020-06-14 21:15 Sergei Trofimovich
2020-06-14 19:47 Sergei Trofimovich
2020-06-08  6:41 Michał Górny
2020-06-08  6:13 Sergei Trofimovich
2020-06-07  7:27 Michał Górny
2020-06-01  5:16 Michał Górny
2020-05-21  7:08 Michał Górny
2020-05-04 12:24 Michał Górny
2020-05-03 10:24 Michał Górny
2020-04-28 20:13 Mart Raudsepp
2020-04-28 19:23 Mart Raudsepp
2020-04-10 22:56 Sergei Trofimovich
2020-04-09 22:02 Sergei Trofimovich
2020-04-04 20:05 Michał Górny
2020-04-04 10:52 Sergei Trofimovich
2020-03-29 14:35 Sergei Trofimovich
2020-03-29 10:13 Michał Górny
2020-03-26  7:53 Sergei Trofimovich
2020-03-25 17:44 Agostino Sarubbo
2020-03-25 16:14 Agostino Sarubbo
2020-03-25 15:25 Agostino Sarubbo
2020-03-14 18:24 Mikle Kolyada
2020-03-03  7:22 Matt Turner
2020-02-17  7:11 Michał Górny
2020-02-14  7:51 Michał Górny
2020-02-06  9:02 Sergei Trofimovich
2020-02-03 12:39 Agostino Sarubbo
2020-02-03 11:31 Agostino Sarubbo
2020-02-03 11:28 Agostino Sarubbo
2020-02-01 20:16 Michał Górny
2020-02-01 20:16 Michał Górny
2020-02-01  8:56 Michał Górny
2020-02-01  8:56 Michał Górny
2020-01-30 21:26 Michał Górny
2020-01-05 13:40 Sergei Trofimovich
2019-12-28  7:10 Michał Górny
2019-12-07 23:07 Matt Turner
2019-12-03 10:26 Michał Górny
2019-12-03  9:48 Michał Górny
2019-11-18 19:21 Michał Górny
2019-11-18 19:21 Michał Górny
2019-10-12 20:23 Matt Turner
2019-07-22 15:57 Aaron Bauman
2019-06-27  7:05 Sergei Trofimovich
2019-05-21 21:57 Virgil Dupras
2019-05-15 22:56 Sergei Trofimovich
2019-05-13 21:05 Virgil Dupras
2019-05-13 16:36 Virgil Dupras
2019-04-18 21:41 Aaron Bauman
2019-03-03 10:58 Mikle Kolyada
2019-01-21 20:30 Virgil Dupras
2019-01-01  1:16 Virgil Dupras
2018-12-29 13:16 Sergei Trofimovich
2018-12-27 17:19 Matt Turner
2018-11-18 11:40 Mikle Kolyada
2018-08-18 22:21 Sergei Trofimovich
2018-08-12 12:21 Virgil Dupras
2018-03-27 23:15 Matt Turner
2018-02-21 20:18 Michał Górny
2017-12-16 21:49 Mike Gilbert
2017-10-01 11:12 Tim Harder
2017-09-26  0:08 Tim Harder
2017-09-25 23:43 Tim Harder
2017-09-23 18:20 Tim Harder
2017-09-23 18:20 Tim Harder
2017-09-23 18:20 Tim Harder
2017-07-29 20:38 Matt Thode
2017-07-11 20:33 Sebastien Fabbro
2017-06-21 12:32 Alexis Ballier
2017-02-23  5:50 Tim Harder
2017-01-21 18:54 Agostino Sarubbo
2016-10-26 23:05 Tim Harder
2016-02-01 15:44 Justin Lecher
2016-01-01 11:32 Patrick Lauer
2015-08-30 20:47 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692261367.dfd26f75ea0b24bc1d288408bc8281ac928e259d.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox